2009-04-17  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.1.

2009-04-16  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Sync upstream.

2009-04-16  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Fix license info.

2009-04-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/libtasn1.h: Bump versions.

2009-04-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add NEWS entry.

2009-04-16  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, doc/gendocs_template, doc/lgpl-2.1.texi,
	lib/gllib/Makefile.am, lib/gllib/dummy.c, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-comp.m4: Update gnulib files.  Fix compile failure
	on Mac OS X.

2009-04-13  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Copy cyclo page.

2009-04-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2009-04-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.0.

2009-04-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-04-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix typo.

2009-04-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Only use warnings when using gcc.

2009-04-13  Simon Josefsson <simon@josefsson.org>

	* lib/gllib/Makefile.am, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/ld-version-script.m4, maint.mk: 
	Update gnulib files.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, lib/int.h, lib/libtasn1.h, lib/libtasn1.map,
	lib/parser_aux.c, lib/structure.c: Make it compile.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/unistd.in.h, maint.mk: Update gnulib files.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/errors.c, lib/libtasn1.h: Re-add obsolete
	stuff for compatibility.

2009-03-23  Simon Josefsson <simon@josefsson.org>

	* lib/int.h, lib/libtasn1.h: Re-add old ASN1_TYPE struct fields for
	compatibility.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/reference/Makefile.am, lib/Makefile.am,
	lib/gllib/Makefile.am, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/visibility.m4, lib/libtasn1.h: Use
	-fvisibility=hidden and mark public APIs explicitly.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/gdoc: Synx gdoc with libidn.  Use -pkg-name
	to improve man pages.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, examples/CrlExample.c,
	lib/coding.c, lib/decoding.c, lib/element.c, lib/element.h,
	lib/gstr.h, lib/int.h, lib/libtasn1.h, lib/parser_aux.c,
	lib/parser_aux.h, lib/structure.c, lib/structure.h,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_indefinite.c, tests/Test_parser.c, tests/Test_tree.c,
	windows/asn1-parser/config.h, windows/gnulib/getopt.h: Indent code.
	Reproduce using 'make indent' with GNU indent 2.2.10.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Add a INDENT_SOURCES to make 'make indent' work.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Remove dead code.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Generated.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.y, lib/Makefile.am, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/errors.c, lib/errors.h, lib/parser_aux.c,
	lib/structure.c: Simplify unused debug code.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Rename.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Can't use -Wunused-macros.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Cleanup.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Update.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/cyclo-libtasn1.html: Add.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.map: Use explicit list of symbols.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/libtasn1.map, lib/libtasn1.vers: Rename for
	consistency.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/gllib/Makefile.am, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/ld-version-script.m4,
	m4/linker-script.m4: Use linker script test from gnulib.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* THANKS: Merge from libtasn1-1.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Merge from libtasn1-1.

2009-01-16  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/Makefile.am, doc/cyclo/Makefile.am,
	doc/libtasn1.texi, examples/CertificateExample.c,
	examples/CrlExample.c, examples/Makefile.am, lib/ASN1.y,
	lib/coding.c, lib/decoding.c, lib/element.c, lib/errors.c,
	lib/errors.h, lib/gstr.c, lib/int.h, lib/libtasn1.h,
	lib/parser_aux.c, lib/structure.c, src/Makefile.am,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Makefile.am, tests/Test_encoding.c, tests/Test_indefinite.c,
	tests/Test_parser.c, tests/Test_tree.c, tests/crlf: Bump copyright
	years.

2009-01-16  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Add -I to get gnulib stdint.h.

2009-03-04  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, doc/gendocs_template, gl/Makefile.am,
	gl/m4/00gnulib.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/longlong.m4,
	gl/m4/malloc.m4, gl/m4/manywarnings.m4, gl/m4/multiarch.m4,
	gl/m4/pmccabe2html.m4, gl/m4/realloc.m4, gl/m4/stdarg.m4,
	gl/m4/stdint.m4, gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4,
	gl/m4/wchar.m4, gl/m4/wint_t.m4, gl/progname.c, gl/stdint.in.h,
	gl/stdlib.in.h, gl/unistd.in.h, gl/version-etc.c, gl/version-etc.h,
	gl/wchar.in.h, lib/gllib/Makefile.am, lib/gllib/stdint.in.h,
	lib/gllib/wchar.in.h, lib/glm4/00gnulib.m4,
	lib/glm4/gnulib-common.m4, lib/glm4/gnulib-comp.m4,
	lib/glm4/include_next.m4, lib/glm4/multiarch.m4,
	lib/glm4/stdint.m4, maint.mk: Update gnulib files.

2009-01-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add gnulib stdint module from gnulib under lib/.

2009-01-16  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, lib/Makefile.am, lib/gllib/Makefile.am,
	lib/gllib/stdint.in.h, lib/gllib/wchar.in.h,
	lib/glm4/gnulib-cache.m4, lib/glm4/gnulib-common.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/gnulib-tool.m4,
	lib/glm4/include_next.m4, lib/glm4/longlong.m4,
	lib/glm4/multiarch.m4, lib/glm4/stdint.m4, lib/glm4/wchar.m4,
	lib/glm4/wint_t.m4: Add gnulib stdint module from gnulib under lib/.

2008-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/manywarnings.m4,
	gl/m4/warnings.m4, gl/stdint.in.h, maint.mk: Update gnulib files.

2008-12-01  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/crlf: Make crlf self-test work under
	Mingw+Wine.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Rework warning initialization.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* gl/progname.h: Update gnulib files.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/m4/warnings.m4: Update gnulib files.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update to sync with configure.ac rename.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.ac, configure.in: Rename.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.in: Fix warning parameters.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.in, examples/CertificateExample.c,
	examples/CrlExample.c, gl/progname.h, lib/ASN1.c, lib/ASN1.y,
	lib/element.c, lib/errors.c, lib/gstr.c, lib/int.h,
	src/asn1Coding.c: Fix more warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Generated.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* configure.in, gl/m4/warnings.m4, lib/ASN1.c, lib/ASN1.y,
	lib/coding.c, lib/decoding.c, lib/element.c, lib/errors.c,
	lib/int.h, lib/structure.c: Fix warnings.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libtasn1-docs.sgml: Drop deprecated, we don't have
	any deprecated symbols now.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* lib/errors.c: Doc fix.

2008-11-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, cfg.mk, tests/Test_indefinite.c: Merge in v1.7 changes.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.pc.in: Add URL field.  Add license.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* configure.in, m4/linker-script.m4, m4/update-header-version.m4,
	m4/valgrind.m4: Split up operations into external M4 files.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/m4/warnings.m4: Update gnulib files.

2008-11-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Neatify.

2008-11-11  Simon Josefsson <simon@josefsson.org>

	* configure.in: Add summary.

2008-11-11  Simon Josefsson <simon@josefsson.org>

	* gl/m4/warnings.m4: Update gnulib files.

2008-11-11  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, configure.in: Move -Werror from configure to cfg.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* configure.in: Drop AC_C_CONST and debug notices.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* gl/m4/warnings.m4: Update gnulib files.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.in, examples/Makefile.am, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Use gnulib warnings
	module.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* tests/Test_indefinite.c: Make tests compile.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Fix compile error.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in, lib/int.h, lib/libtasn1.h, lib/libtasn1.vers,
	lib/parser_aux.c, lib/structure.c: Reapply Nikos' optimization
	patch.  Remove deprecated functions.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.6.

2008-11-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/int.h, lib/libtasn1.h, lib/parser_aux.c,
	lib/structure.c: Revert small_value patch temporarily.

2008-11-07  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, examples/CrlExample.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_encoding.c, tests/Test_indefinite.c,
	tests/Test_parser.c, tests/Test_tree.c: Don't use now obsolete
	functions.

2008-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Test for -Wl,--version-script properly.

2008-11-07  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Put headers before C++ block.  Improve comments.

2008-11-07  Simon Josefsson <simon@josefsson.org>

	* build-aux/pmccabe2html: Update gnulib files.

2008-11-06  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, lib/errors.c, lib/libtasn1.h: Add
	ASN1_DISABLE_DEPRECATED.

2008-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/libtasn1.h, lib/parser_aux.c: Fix LIBTASN1_VERSION
	namespace violation.

2008-11-06  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Generated.

2008-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/reference/libtasn1-docs.sgml, lib/errors.c,
	lib/libtasn1.h: Fix error function namespace.

2008-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Generated.

2008-11-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Use v1.6 for next release instead.

2008-11-06  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.y: Use static keyword.

2008-11-05  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/Makefile.am, doc/texinfo.css: Add texinfo stylesheet.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* build-aux/pmccabe.css, build-aux/pmccabe2html, configure.in,
	doc/Makefile.am, doc/cyclo/Makefile.am, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/pmccabe2html.m4: 
	Add cyclo reports.

2008-11-05  Nikos Mavrogiannopoulos <nmav@crystal.(none)>

	* : commit 581690dfc214d6e2e9ebdd9b1558b1f7a7c28c51 Author: Nikos
	Mavrogiannopoulos <nmav@crystal.(none)> Date:   Wed Nov 5 00:30:40
	2008 +0200

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libtasn1.types: Remove.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* lib/structure.c, lib/structure.h: No need to publish
	_asn1_copy_structure2.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, examples/CertificateExample.c, examples/CrlExample.c,
	lib/ASN1.c, lib/ASN1.y, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/element.h, lib/int.h, lib/libtasn1.h,
	lib/parser_aux.c, lib/parser_aux.h, lib/structure.c,
	lib/structure.h: Move struct node_asn_struct to int.h.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Use new makefile rules.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove libtasn1-config.  Use warnings.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in, doc/README.autoconf, lib/Makefile.am,
	lib/libtasn1-config.in, lib/libtasn1.m4, lib/libtasn1.pc.in: Remove
	libtasn1-config and libtasn1.m4.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* .cvsusers: Remove.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* gtk-doc.make: Update from upstream.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Fix.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libtasn1.types: Add.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* doc/reference/tmpl/libtasn1-unused.sgml: Remove.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c, lib/libtasn1.h: Doc fix.  Fix asn1_get_length_ber
	signature.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/Makefile.am, lib/decoding.c, lib/libtasn1.h: Build
	fixes.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libtasn1-docs.sgml: Add description.  Add list of
	recently added symbols.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gdoc: Sync gdoc with GnuTLS.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/Makefile.am, doc/fdl-1.3.texi, doc/fdl.texi,
	doc/libtasn1.texi, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, maint.mk: Update gnulib
	files.  Use GFDLv1.3 for manual.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Bump version.  Fix NEWS.

2008-11-04  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Reorder small_value member to avoid ABI breakage.
	Fix namespace.

2008-11-03  Nikos Mavrogiannopoulos <nmav@crystal.(none)>

	* NEWS: moved entries to correct version.

2008-11-03  Nikos Mavrogiannopoulos <nmav@crystal.(none)>

	* NEWS, lib/decoding.c, lib/element.c, lib/libtasn1.h,
	lib/parser_aux.c, lib/parser_aux.h, tests/Makefile.am,
	tests/Test_indefinite.c, tests/pkix.asn: * Optimized tree generation by adding a small_value field in every
	  node.  If the node contains few data they will be stored there
	  instead of a malloced buffer.  * Added ability to DER decoder to decode BER encoded octet strings.  * Added test case with a pkcs-12 formatted structure to test the
	  ability to parse those strings.  * Added asn1_append_value() and asn1_set_value_octet() to reduce
	code being copied.

2008-11-03  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/m4/gnulib-common.m4,
	gl/m4/stdlib_h.m4, gl/m4/unistd_h.m4, gl/stdarg.in.h,
	gl/stdint.in.h, gl/stdlib.in.h, gl/unistd.in.h, gl/wchar.in.h,
	maint.mk: Update gnulib files.

2008-10-08  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi, examples/CertificateExample.c,
	examples/CrlExample.c, lib/ASN1.c, lib/ASN1.y, lib/coding.c,
	lib/decoding.c, lib/gstr.h, lib/parser_aux.c, lib/structure.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_encoding.c, tests/Test_parser.c, tests/Test_tree.c: 
	Update usages of MAX_* constants.

2008-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/libtasn1.h: Fix namespace violation.

2008-10-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.in, doc/reference/Makefile.am,
	examples/Makefile.am, lib/Makefile.am, src/Makefile.am,
	src/asn1Decoding.c, tests/Makefile.am: Add warning flags mechanism.
	Fix warnings.

2008-10-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, gl/Makefile.am, gl/m4/extensions.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/strdup.m4, gl/m4/string_h.m4,
	gl/strdup.c, gl/string.in.h: Assume strdup and string.h.

2008-10-08  Simon Josefsson <simon@josefsson.org>

	* configure.in: Avoid warnings in modern libtool.

2008-10-08  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, doc/.cvsignore, doc/reference/.cvsignore,
	doc/reference/tmpl/.cvsignore, lib/.cvsignore, src/.cvsignore,
	tests/.cvsignore: Remove.

2008-10-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strdup.m4, gl/m4/string_h.m4, gl/m4/unistd_h.m4,
	gl/m4/wchar.m4, gl/m4/wint_t.m4, gl/malloc.c, gl/string.in.h,
	gl/unistd.in.h, gl/wchar.in.h: Update gnulib files.

2008-09-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/include_next.m4, gl/stdarg.in.h,
	gl/stdint.in.h, gl/stdlib.in.h, gl/string.in.h, gl/unistd.in.h,
	gl/wchar.in.h: Update gnulib files.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in, lib/libtasn1.h: Bump versions.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix gnupload.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Generated.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Typo.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.5.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix release target.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* .clcopying, Makefile.am, cfg.mk: Fix release target.

2008-08-29  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, maint.mk: Update gnulib files.

2008-08-26  Simon Josefsson <simon@josefsson.org>

	* configure.in: Autobuild is invoked from gnulib now.

2008-08-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add credits.

2008-08-25  Simon Josefsson <simon@josefsson.org>

	* lib/element.c: Fix memory leaks, tiny patch from Christian
	Grothoff <christian@grothoff.org>.

2008-08-21  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/autobuild.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/string_h.m4, gl/string.in.h,
	m4/autobuild.m4: Update gnulib files.

2008-08-12  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, doc/gendocs_template, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	maint.mk: Update gnulib files.

2008-05-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-05-07  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, gl/Makefile.am, gl/m4/stdlib_h.m4,
	gl/m4/string_h.m4, gl/stdlib.in.h, gl/string.in.h: Update gnulib
	files.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Regenerate.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Bump versions.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.4.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* windows/libtasn1/libtasn1.vcproj: Drop mem.h.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Drop mem.h.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* gl/m4/extensions.m4, gl/m4/getopt.m4, gl/m4/stdint.m4: Update
	gnulib files.

2008-04-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in, examples/CertificateExample.c,
	examples/CrlExample.c, lib/ASN1.y, lib/Makefile.am, lib/coding.c,
	lib/decoding.c, lib/element.c, lib/int.h, lib/mem.h: Replace use of
	alloca with malloc.

2008-04-17  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/stdint.m4,
	gl/m4/stdlib_h.m4, gl/stdarg.in.h, gl/stdlib.in.h, gl/wchar.in.h: 
	Update gnulib files.

2008-03-25  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/GNUmakefile, build-aux/gendocs.sh,
	build-aux/maint.mk, cfg.mk, gl/Makefile.am, gl/getopt.c,
	gl/m4/absolute-header.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/include_next.m4, gl/m4/stdarg.m4,
	maint-cfg.mk, maint.mk: Update gnulib files.

2008-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Bump versions.

2008-03-02  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h: Update.

2008-02-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Avoid brace expansion.

2008-02-03  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2008-02-03  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2008-02-03  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Typo.

2008-02-03  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Fix cut'n'paste typo.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.3.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* tests/Test_encoding.c: Fix mem leak.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/memmove.m4, gl/memmove.c: Update gnulib files.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* configure.in, lib/int.h: Don't bother with strings.h.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, THANKS: Fix my e-mail address.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add Michele.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* lib/structure.c: (_asn1_create_static_structure): Write NULL instead of 0.  Indent
	output.  Reported by Michele Baldessari <michele@pupazzo.org>.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, examples/CrlExample.c: Added some
	static initializers.  Tiny patch from Michele Baldessari
	<michele@pupazzo.org>.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/crlf, tests/pkix.asn: Don't duplicate
	pkix.asn.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, examples/CrlExample.c,
	examples/Makefile.am: Fix building of examples.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: Add, based on src/Makefile.am.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.in, examples/CertificateExample.c,
	examples/CrlExample.c, examples/asn1Coding_test.asg,
	examples/asn1Coding_test.asn, examples/pkix.asn,
	src/CertificateExample.c, src/CrlExample.c, src/Makefile.am,
	src/asn1Coding_test.asg, src/asn1Coding_test.asn, src/pkix.asn: Move
	examples from src/ to new directory examples/.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Generated from ASN1.y.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix dependencies.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/pkix_asn1_tab.c: Build pkix_asn1_tab.c using
	asn1Parser.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.y: Handle 'INTEGER { ...} (a..b)', as used by
	src/pkix.asn1.  Reverts part of Fabio's patch on Sep 18 2003.

2008-02-01  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/unistd_h.m4, gl/unistd.in.h: Update gnulib
	files.

2008-01-31  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, lib/Makefile.am, lib/defines.h,
	lib/int.h: Merge defines.h into int.h.

2008-01-31  Simon Josefsson <simon@josefsson.org>

	* configure.in, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/longlong.m4, gl/m4/stdint.m4,
	gl/m4/wchar.m4, gl/stdint.in.h, gl/wchar.in.h, lib/defines.h: Use
	gnulib stdint module.

2008-01-31  Simon Josefsson <simon@josefsson.org>

	* configure.in: Drop unnecessary gcc -pipe check.

2008-01-31  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2008-01-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2008-01-31  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, gl/Makefile.am, gl/m4/gnulib-comp.m4,
	gl/m4/stdlib_h.m4, gl/m4/string_h.m4, gl/m4/unistd_h.m4,
	gl/progname.c, gl/stdlib.in.h, gl/string.in.h, gl/unistd.in.h,
	gl/version-etc.c: Update gnulib files.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Reorder release targets.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.2.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump versions.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Bump versions.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, build-aux/maint.mk, doc/fdl.texi,
	doc/gendocs_template, doc/gpl-3.0.texi, gl/Makefile.am,
	gl/getopt.c, gl/getopt1.c, gl/getopt_int.h, gl/gettext.h,
	gl/m4/absolute-header.m4, gl/m4/extensions.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/string_h.m4,
	gl/m4/unistd_h.m4, gl/progname.c, gl/progname.h, gl/read-file.c,
	gl/read-file.h, gl/strdup.c, gl/version-etc-fsf.c,
	gl/version-etc.c, gl/version-etc.h: Update gnulib.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* gl/.cvsignore, gl/getopt_.h, gl/string_.h, gl/unistd_.h: Update
	gnulib.

2007-12-10  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.in.h, gl/m4/malloc.m4, gl/m4/realloc.m4,
	gl/m4/stdlib_h.m4, gl/malloc.c, gl/realloc.c, gl/stdlib.in.h,
	gl/string.in.h, gl/unistd.in.h: Add.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.1.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump versions.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/parser_aux.c: Fix asn1_check_version to accept that (e.g.) 1.0
	is more recent than 0.3.10.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 1.0.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Dist (l)gpl.texi.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Fixes.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Typo.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Use GPLv3 for self tests, tools, build
	infrastructure.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.in, lib/Makefile.am, maint-cfg.mk: Use
	GPLv3 for self tests, tools, build infrastructure.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* COPYING, src/CertificateExample.c, src/CrlExample.c,
	src/Makefile.am, src/asn1Coding.c, src/asn1Decoding.c,
	src/asn1Parser.c, tests/Makefile.am, tests/Test_encoding.c,
	tests/Test_parser.c, tests/Test_tree.c, tests/crlf: Use GPLv3 for
	self tests, tools, build infrastructure.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Fix.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, doc/gpl-3.0.texi, doc/lgpl-2.1.texi,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/include_next.m4: Update gnulib files.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Fixes for license.  Add Introduction section.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* build-aux/GNUmakefile, build-aux/gendocs.sh, build-aux/maint.mk,
	doc/gendocs_template, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/string_h.m4, gl/m4/unistd_h.m4,
	gl/string_.h, gl/unistd_.h, gl/version-etc.c: Update gnulib files.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-08-31  Simon Josefsson <simon@josefsson.org>

	* configure.in: Drop gnits mode.

2007-05-25  Simon Josefsson <jas@mocca.josefsson.org>

	* ChangeLog: Generated.

2007-05-25  Simon Josefsson <jas@mocca.josefsson.org>

	* lib/libtasn1.h: Generated.

2007-05-25  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Version 0.3.10.

2007-05-25  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Add.

2007-05-25  Simon Josefsson <jas@mocca.josefsson.org>

	* doc/gendocs_template, gl/override/doc/gendocs_template.diff: Use a
	diff.

2007-05-25  Simon Josefsson <jas@mocca.josefsson.org>

	* gl/override/doc/gendocs_template: Remove.

2007-05-25  Simon Josefsson <jas@mocca.josefsson.org>

	* build-aux/gendocs.sh, doc/gendocs_template, gl/Makefile.am,
	gl/getopt_.h, gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4,
	gl/string_.h, gl/unistd_.h, gl/version-etc.c: Update.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.in: Use modern constructs.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Bump versions.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Typo.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.9.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-03-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Git fixes of release target.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Generated.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Fix.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Add.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile: Fix.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile: Use GNUmakefile from build-aux/.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* configure.in: Reorder.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile: Rewrite, gnulib's real GNUmakefile is in build-aux.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/string_h.m4, gl/m4/unistd_h.m4, gl/string_.h, gl/unistd_.h: 
	Update.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* configure.in: Put gnulib stuff in build-aux/.

2007-03-01  Simon Josefsson <simon@josefsson.org>

	* build-aux/GNUmakefile, build-aux/gendocs.sh,
	build-aux/link-warning.h, build-aux/maint.mk, gendocs.sh, maint.mk: 
	Update.

2007-02-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention cvs->git.

2007-02-13  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/gettext.h, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/strdup.m4, gl/m4/unistd_h.m4,
	gl/strdup.c, gl/version-etc.c: Update.

2007-02-13  Simon Josefsson <simon@josefsson.org>

	* gl/strdup.h: Remove.

2007-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2007-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, gl/m4/absolute-header.m4, gl/m4/extensions.m4,
	gl/m4/gnulib-common.m4, gl/m4/string_h.m4, gl/string_.h,
	gl/unistd_.h: Add.

2007-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/structure.c: Pull in config.h in generated code.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix make release.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.8.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Revert, problems was double EXTRA_DIST.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Add -I's.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/gettext.h, gl/m4/gnulib-comp.m4: Update.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, gl/Makefile.am, gl/getopt_.h, gl/gettext.h,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/read-file.m4,
	gl/progname.h, gl/read-file.c, gl/read-file.h, src/asn1Decoding.c,
	tests/Makefile.am, tests/crlf, tests/pkix.asn: Use read_binary_file
	to read data, for Windows.  Add self-test to test regressions.

2006-10-30  Simon Josefsson <simon@josefsson.org>

	* doc/TODO: Add.

2006-10-30  Simon Josefsson <simon@josefsson.org>

	* src/asn1Coding.c: Fix last commit.

2006-10-30  Simon Josefsson <simon@josefsson.org>

	* src/asn1Coding.c: Handle arbitrary large DER output lenghts.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.7.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Fix GTK-DOC warning.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* configure.in: No need to test for getopt.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix copyright.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c: Improve
	--help output.  Assume getopt_long, since gnulib provides it.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c: Remove
	unused version variable.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* gl/.cvsignore: [no log message]

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.in, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/stdarg.m4, gl/progname.c,
	gl/progname.h, gl/version-etc-fsf.c, gl/version-etc.c,
	gl/version-etc.h, lib/libtasn1.h, src/Makefile.am,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c: Use progname
	and version-etc-fsf modules.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4: Update.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/getopt.c, gl/getopt1.c,
	gl/getopt_.h, gl/getopt_int.h, gl/gettext.h, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4,
	gl/memmove.c, gl/override/doc/gendocs_template, gl/strdup.c,
	gl/strdup.h: Update gnulib files, don't require LGPL modules (the
	libtasn1 library doesn't use gnulib).

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-10-19  Simon Josefsson <simon@josefsson.org>

	* configure.in: Fix -Wno-pointer-sign test to respect user-defined
	CFLAGS.  Reported by "Diego 'Flameeyes' Pettenò"
	<flameeyes@gentoo.org>.

2006-09-19  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2006-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-09-19  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c: (asn1_der_coding): For TYPE_NULL, increment counter even if we don't
	write any output.  Reported by Stephen Wrobleski
	<steve@localtoast.org>.

2006-08-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.6.

2006-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template, gendocs.sh, gl/Makefile.am, gl/gettext.h,
	gl/m4/gnulib-comp.m4, gl/m4/onceonly_2_57.m4: Update.

2006-07-13  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix -I's.

2006-07-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Change gendocs place.

2006-07-13  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, gendocs.sh, gl/Makefile.am, gl/getopt.c,
	gl/m4/getopt.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/onceonly_2_57.m4: Update.

2006-07-13  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update.

2006-07-13  Simon Josefsson <simon@josefsson.org>

	* configure.in: Fix valgrind test.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use GNU-style warnings.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix texinfo output, from gnutls.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Need -Igl, for unistd.h.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Sync with Shishi, fixes man page bug in debian.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Only optionally use valgrind.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in, lib/libtasn1.h: Bump version.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* configure.in: Test for valgrind.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.5.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, tests/Makefile.am: Fix distcheck.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1-config.in: Support --la-file and --help with proper
	exit code.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove igloo upload, it's broken.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix srcdir!=objdir.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump version.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.pc.in: Add Libs.private.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* configure.in: Fix -Wno-pointer-sign test.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* tests/Test_tree.asn, tests/Test_tree.c: Trigger a bug that made
	Shishi self tests fail on 64-bit platforms.

2006-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c: (asn1_octet_der): Work even if str_len is 0, i.e., write an ASN.1
	length of zero.  Otherwise encodings became garbled on 64-bit
	platforms, detected while running the Shishi self-tests on the
	Debian build robots.  A self test to reproduce this is in Test_tree.

2006-06-22  Simon Josefsson <simon@josefsson.org>

	* configure.in: Make portable to mingw.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.4.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix typo.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Use --tool, needed on some platforms.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* configure.in: Check for pointer-sign before using it.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Add Test_encoding.  Simplify.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Test_encoding.c: Remove unused.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Test_encoding.asn: Add.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Test_encoding.c: Add, from Nikos.  I fixed treefile and
	library version checking, and indentation.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Add -no-install.

2006-05-10  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Run tests under valgrind, if available.

2006-05-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-05-09  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2006-05-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/errors.c, lib/parser_aux.c, lib/structure.c: some fixes.
	node_asn now has value_len set to zero on initialization.

2006-05-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-05-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.3.

2006-05-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add dates for releases.

2006-05-07  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am: Update.

2006-05-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/structure.c: corrected bug in copy_structure3(). This
	caused bad encodings.

2006-04-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/errors.c,
	lib/gstr.c, lib/parser_aux.c, lib/structure.c: changed the coding
	style to -i2, so the source code is readable again.

2006-04-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.h: class conflicts with c++

2006-04-26  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Update.

2006-04-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-04-26  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2006-03-30  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h, lib/structure.c: Fix warnings and C++ use, from
	Nikos.

2006-03-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.in: added -Wno-pointer-sign to gcc to avoid tons of
	useless warnings.

2006-03-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/parser_aux.c, lib/parser_aux.h: Removed some
	of signedness warnings. Still many to go.

2006-03-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add header.

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c: Fix
	help2man formatting.

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix info name.

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Build man pages.

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Look for help2man.

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix typo.

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-12  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Install asn1Parser, asn1Coding, asn1Decoding
	(asn1Parser needed by Shishi).

2006-03-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/structure.c: [no log message]

2006-03-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update.

2006-03-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.in, doc/Makefile.am, lib/libtasn1.h, lib/structure.c: 
	[no log message]

2006-03-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c: some improvements in coding

2006-03-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c: some improvements in coding

2006-03-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/coding.c: Corrected bug which caused an overwrite of an
	element during DER encoding.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Fixes for GTK-DOC.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c: Fix prototype (for GTK-DOC).

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1-dont.h: Remove.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Add asn1_copy_node.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/structure.c: Add, from GnuTLS.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/parser_aux.c: Typo.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/parser_aux.c,
	lib/structure.c: Revert, don't export asn1_find_up.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/Makefile.am, lib/int.h, lib/parser_aux.h: Revert.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Add back libtasn1-dont.h stuff.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Move new APIs to libtasn1-dont.h.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Include libtasn1-dont.h.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/reference/tmpl/.cvsignore, lib/Makefile.am: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Add libtasn1-dont.h.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1-dont.h: New file, mostly with the new "bad" APIs from
	libtasn1.h.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c: Fix.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Map back type_field().

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Add ASN1_TYPE_FIELD.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Map back TYPE_* and CLASS_*.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Export ASN1_CONST_*, taken from int.h.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Map short TYPE_* keywords.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Export ASN1_TYPE_*, taken from int.h.  GnuTLS
	needs this.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h, lib/parser_aux.c: Fix prototypes.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/libtasn1.h,
	lib/parser_aux.c, lib/parser_aux.h, lib/structure.c: Export
	asn1_find_node and asn1_find_up.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* configure.in: Update version number in lib/libtasn1.h.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c: Fix
	unistd.h.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove unistd.h, fixed by gnulib.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.c, gl/m4/gnulib-comp.m4,
	gl/m4/unistd_h.m4, lib/ASN1.c, maint.mk: Update.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* tests/Test_parser.asn: Add BIT STRING SIZE test.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.y: Support 'BIT STRING (SIZE(42))' constructs, suggested
	by Cyril Holweck <cyril.holweck@q-free.com>.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist windows/ stuff.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Don't dist windows/ stuff.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* gtk-doc.make, m4/gtk-doc.m4: Add.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/windows/.cvsignore, lib/windows/config.h,
	lib/windows/libtasn1.sln, lib/windows/libtasn1.vcproj,
	windows/asn1-parser/asn1-parser.vcproj,
	windows/asn1-parser/config.h, windows/gnulib/getopt.h,
	windows/gnulib/gnulib.vcproj, windows/libtasn1.sln,
	windows/libtasn1/libtasn1.vcproj,
	windows/test-parser/test-parser.vcproj,
	windows/test-tree/test-tree.vcproj: Move MSVS project files to
	top-level directory, and add self-tests and src/ tools.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.c, gl/m4/gnulib-cache.m4: Update.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* src/asn1Parser.c: Fix.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.c, gl/getopt1.c, gl/getopt_.h,
	gl/getopt_int.h, gl/gettext.h, gl/m4/getopt.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Add getopt, for src/
	tools in MSVS.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/windows/libtasn1.vcproj: Update.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Add, mostly for MSVS builds.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* tests/Test_tree_asn1_tab.c: Update.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/structure.h: Remove duplicate definitions.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/errors.h: Remove duplicate prototypes.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Remove redundant definitions.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Fix HIGNORE's.

2006-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/int.h, lib/libtasn1.h: Make
	ASN1_CLASS_* official.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gl/m4/strdup.m4, gl/strdup.c, gl/strdup.h: Add strdup.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/windows/libtasn1.vcproj: Update.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove unneeded stuff.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/windows/config.h: Remove unneeded def.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* buildconf: Remove, just use 'make' instead.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, maint-cfg.mk, maint.mk: Add
	maintainer-makefile stuff.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/coding.c, lib/decoding.c, lib/der.h,
	lib/element.c, lib/parser_aux.c, lib/structure.c: Remove der.h.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Move from der.h.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/der.h: Remove redundant code.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/defines.h: Assume C89.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c: Doc fix for asn1_bit_der.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c: Doc fix for asn1_length_der and asn1_octet_der.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Doc fix for asn1_get_length_der.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Doc fix for asn1_get_bit_der.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Doc fix for asn1_get_octet_der.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Distribute MSVS files.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/windows/.cvsignore, lib/windows/libtasn1.vcproj: Fix release
	target.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/windows/libtasn1.vcproj: Add config.h to project.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/windows/config.h, lib/windows/libtasn1.sln,
	lib/windows/libtasn1.vcproj: Add MSVS files.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Typo.

2006-02-23  Simon Josefsson <simon@josefsson.org>

	* src/asn1Parser.c: Convert to Unix EOLs.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/defines.h: Remove unused.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Remove errors_int.h.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/errors.h, lib/errors_int.h: Remove unused.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Remove unused.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/gstr.c, lib/gstr.h: Remove unused code.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Bump version.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.vers: Bump ABI version to 0.3.  Don't export _asn1*.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/der.h, lib/element.c,
	lib/libtasn1.h, lib/parser_aux.c, lib/structure.c: Export DER
	utility functions.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* lib/der.h: Add copyright.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi, lib/errors_int.h: Fix.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/coding.c, lib/decoding.c, lib/element.c, lib/errors.c,
	lib/gstr.c, lib/libtasn1.h, lib/parser_aux.c, src/asn1Parser.c: Fix
	typos.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* configure.in: Fix.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* configure.in: Reorder slightly.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* configure.in, gl/Makefile.am, gl/dummy.c, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/gnulib.m4,
	gl/memmove.c: Update gnulib.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc, tests/Test_parser.c, tests/Test_tree.c: Fix copyright.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/defines.h, lib/errors.h, lib/int.h,
	lib/structure.c: Fix copying conditions.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, lib/ASN1.y, lib/defines.h, lib/errors.c, lib/gstr.c,
	lib/parser_aux.c, src/CertificateExample.c, src/CrlExample.c,
	src/Makefile.am, src/asn1Coding.c, src/asn1Decoding.c,
	src/asn1Parser.c: Fix copyright.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2006-02-09  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Further length fixes.

2006-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/structure.c: 
	Update _asn1_get_length_der fix.

2006-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2006-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/der.h, lib/element.c,
	lib/libtasn1.h, lib/parser_aux.c, lib/structure.c: Add libtasn1
	fixes from Nikos, prompted by report from "Evgeny Legerov"
	<admin@gleg.net>.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/Test_parser.c, tests/Test_tree.c: Fix
	make check for objdir != srcdir, reported by Bernard Leak
	<bernard@brenda-arkle.demon.co.uk>.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix objdir != srcdir.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix objdir != srcdir.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/reference/tmpl/.cvsignore: [no log message]

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/reference/tmpl/libtasn1-unused.sgml: Add, to workaround
	gtk-dock bug.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/errors.c: Add const, tiny patch from "ZIGLIO,
	Frediano, VF-IT" <Frediano.Ziglio@vodafone.com>.

2006-01-18  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2006-01-18  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-01-18  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix -I, reported by Bernard Leak
	<bernard@brenda-arkle.demon.co.uk>.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.17.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* configure.in, lib/libtasn1.h: Bump versions.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Dist libtasn1.vers.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix typo.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add license.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/libtasn1.vers: Add.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Replace --export-symbols-regex with version
	script.

2005-08-31  Simon Josefsson <simon@josefsson.org>

	* configure.in: Add --enable-ld-version-script.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Fix.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.in, m4/autobuild.m4: Support autobuild.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib.m4: Update.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, gl/getopt1.c, gl/getopt_.h, gl/getopt_int.h,
	gl/gettext.h, gl/m4/getopt.m4: Remove.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Don't use getopt from gnulib after all.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c: 
	Revert.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* lib/defines.h: Fix error.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* lib/defines.h: Fix error.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Look for *.m4 in gl/m4/.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Revert (stdint was GPL..).

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Use stdint module.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.c, gl/getopt1.c, gl/getopt_.h,
	gl/getopt_int.h, gl/gettext.h, gl/m4/getopt.m4, gl/m4/gnulib.m4: Add
	getopt.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in, src/asn1Coding.c, src/asn1Decoding.c,
	src/asn1Parser.c: Use getopt gnulib module.  Always use getopt_long.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove inline check (unused).

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove unused function checks.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in, gl/Makefile.am, gl/m4/gnulib.m4, gl/m4/memmove.m4,
	gl/m4/onceonly_2_57.m4, gl/memmove.c, lib/defines.h: Use gnulib to
	replace memmove.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove C99 check (not needed).

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* lib/errors.c: Don't use C99 macros.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* lib/errors.h: Simplify.

2005-08-12  Simon Josefsson <simon@josefsson.org>

	* lib/errors.h: Remove unused _libtasn1_assert defines.  Don't use
	C99 macros.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.in: Bump versions.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add (belatedly).

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* acinclude.m4: Removed (not needed).

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* lib/.cvsignore: [no log message]

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.  Fix license.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump version.  Add license.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* lib/.cvsignore: [no log message]

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Remove (built from ASN1.y anyway).

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* COPYING, COPYING.LIB, doc/fdl.texi, doc/gendocs.sh,
	doc/gendocs_template, src/CertificateExample.c, src/CrlExample.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_parser.c, tests/Test_tree.c: Fix address in license.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.y, lib/coding.c, lib/decoding.c, lib/defines.h,
	lib/element.c, lib/errors.c, lib/errors.h, lib/gstr.c, lib/int.h,
	lib/libtasn1.h, lib/parser_aux.c, lib/structure.c: Fix license.

2005-04-21  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.in: added the -D_REENTRANT and -D_THREAD_SAFE to CFLAGS.

2005-02-16  Simon Josefsson <simon@josefsson.org>

	* lib/defines.h: Protect config.h #include.

2005-01-22  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-01-21  Simon Josefsson <simon@josefsson.org>

	* configure.in, lib/Makefile.am, lib/libtasn1.pc.in: Add pkg-config
	file.  Convert to use of $GCC to test if GCC is available.  Redirect
	STDERR to /dev/null when determining if GNU as available, to avoid
	useless error message if not.  Remove extra commas after check for
	bzero memset memmove bcopy.  Convert to AC_MSG_NOTICE rather than
	AC_MSG_RESULT for status messages.  Tiny change from Albert Chin
	<gnutls-dev@mlists.thewrittenword.com>.

2004-12-15  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-12-15  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (release): Fix.

2004-12-15  Simon Josefsson <simon@josefsson.org>

	* configure.in: Bump versions.

2004-12-15  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Fix version (perhaps use libtasn1.h.in to avoid
	this in the future?).

2004-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libtasn1-docs.sgml: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (release): Copy GTK-DOC manual.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Link to GTK-DOC stuff.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (release): Run gendocs.sh.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't split HTML.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Update.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/structure.c: Doc fix.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/reference/Makefile.am: Add GTK-DOC.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore, doc/reference/.cvsignore: [no log message]

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* buildconf: Suggest --enable-gtk-doc.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* buildconf, configure.in: Need GTK-DOC.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* configure.in: Need GTK-DOC.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/errors.c,
	lib/parser_aux.c: Doc fix.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/structure.c: Doc fix.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.y: Doc fix.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.y: Doc fixes.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/element.c, lib/libtasn1.h: (asn1_write_value): Fix prototype, to avoid warnings.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/element.c: (asn1_read_value): Fix prototype to avoid warning.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Fix typo.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Remove tex manual stuff.  Simplify.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/int.h: Include libtasn1.h, to make sure we are using the same
	prototypes that are exported.  Avoids duplication of code.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/element.c: Fix warning.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* configure.in: Simplify shared library version computation.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove unused stuff.  Use modern autoconf/automake
	interface.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* configure.in: Remove doc/scripts/.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/asn1.tex, doc/fdl.tex, doc/scripts/.cvsignore,
	doc/scripts/Makefile.am, doc/scripts/gdoc: Remove.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Build texinfo manual.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/libtasn1.texi: Add, rewritten from asn1.tex.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Add, from GNU Libidn.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, doc/.cvsignore, doc/scripts/.cvsignore,
	lib/.cvsignore, src/.cvsignore, tests/.cvsignore: Add.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (ChangeLog): Use FSF format.  Use .cvsusers.

2004-12-10  Simon Josefsson <simon@josefsson.org>

	* .cvsusers: Add.

2004-12-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-12-09  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-12-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add release target.

2004-12-09  Simon Josefsson <simon@josefsson.org>

	* buildconf: Fix.

2004-12-09  Simon Josefsson <simon@josefsson.org>

	* INSTALL: Remove (generated automatically by buildconf).

2004-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: [no log message]

2004-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/decoding.c, lib/parser_aux.c, lib/structure.c: 
	corrected some access to invalid data.

2004-11-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, lib/Makefile.am: Use EXTRA_DIST less.

2004-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Use dist target for libtasn1.m4.

2004-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Remove libtasn1.vers.

2004-11-03  Simon Josefsson <simon@josefsson.org>

	* buildconf: Use autoreconf.

2004-11-03  Simon Josefsson <simon@josefsson.org>

	* configure.in, lib/Makefile.am, lib/libtasn1.vers: Replace ld
	version script with libtool -export-symbols-regex.

2004-11-03  Simon Josefsson <simon@josefsson.org>

	* configure.in: Fix library dependency order.

2004-11-03  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c, lib/errors.c, lib/libtasn1.h, lib/parser_aux.c,
	lib/structure.c: GTK-DOC fixes.

2004-10-29  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/errors.c,
	lib/errors.h, lib/errors_int.h, lib/gstr.c, lib/gstr.h, lib/int.h,
	lib/libtasn1.h, lib/parser_aux.c: Doc fixes, from Martijn Koster
	<mak@greenhills.co.uk>.

2004-09-08  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, lib/decoding.c, lib/int.h, lib/libtasn1.h,
	tests/Makefile.am, tests/Test_parser.c, tests/Test_tree.c: add self
	test

2004-07-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.m4: [no log message]

2004-05-18  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/decoding.c: Corrected a DER decoding bug which was
	reported by Max Vozeler <max@hinterhof.net>.

2004-05-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.in, lib/int.h: [no log message]

2004-05-16  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.in, doc/README.autoconf, lib/Makefile.am,
	lib/libtasn1-config.in, lib/libtasn1.h, lib/libtasn1.m4: Added
	scripts to assist in libtasn1 version detection from configure
	scripts.

2004-04-20  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, lib/int.h, lib/libtasn1.h: change INTEGR size
	management

2004-04-14  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, lib/int.h, lib/libtasn1.h, lib/structure.c,
	tests/Test_tree.c: add asn1_delete_elemenadd asn1_delete_element

2004-02-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/int.h, lib/libtasn1.h: [no log message]

2004-02-27  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* acconfig.h, configure.in: [no log message]

2004-02-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/coding.c, lib/decoding.c, lib/element.c,
	lib/int.h, lib/libtasn1.h: some fixes in prototypes.

2004-02-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/asn1Decoding.c: [no log message]

2004-02-26  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am, src/asn1Coding.c, src/asn1c.c: removed the asn1c
	utility (it was replaced by asn1Coding anyway).

2004-02-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.in, lib/ASN1.c, lib/Makefile.am,
	lib/libtasn1.vers: added versioned symbols.

2004-02-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/structure.c: [no log message]

2003-11-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/defines.h, lib/mem.h: some fixes with alloca()

2003-09-18  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, lib/ASN1.y, lib/int.h, lib/libtasn1.h,
	src/asn1Coding.c, tests/Test_parser.asn, tests/Test_tree.c: manage
	'INTEGER(1 | 2)' syntax

2003-07-30  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, lib/Makefile.am, lib/coding.c,
	lib/decoding.c, lib/der.h, lib/element.c, lib/int.h,
	lib/libtasn1.h, src/CertificateExample.c, src/CrlExample.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	src/asn1c.c, tests/Test_parser.c, tests/Test_tree.asn,
	tests/Test_tree.c: Add BER decoding

2003-03-25  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, doc/asn1.tex, lib/coding.c, lib/element.c,
	lib/int.h, lib/libtasn1.h, lib/parser_aux.c, tests/Test_parser.asn,
	tests/Test_parser.c, tests/Test_tree.asn, tests/Test_tree.c,
	tests/Test_tree_asn1_tab.c: Add DEFAULT with OID

2003-03-19  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/coding.c, tests/Test_tree.asn, tests/Test_tree.c: change
	asn1_find_structure_from_oid prototype

2003-03-18  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, doc/asn1.tex, lib/decoding.c, lib/element.c,
	lib/errors.c, lib/errors_int.h, lib/int.h, lib/libtasn1.h,
	lib/structure.c, tests/Test_tree.c: change
	asn1_find_structure_from_oid prototype

2003-02-25  Fabio Fiorina <fiorinaf@gnutls.org>

	* doc/asn1.tex: add vector length check

2003-02-25  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, lib/coding.c, lib/decoding.c, lib/element.c,
	lib/int.h, lib/libtasn1.h, lib/parser_aux.c,
	src/CertificateExample.c, src/CrlExample.c, src/asn1Coding.c,
	tests/Test_tree.asn, tests/Test_tree.c, tests/Test_tree_asn1_tab.c: 
	add vector length check

2003-02-12  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, doc/asn1.tex, lib/decoding.c, lib/element.c,
	lib/int.h, lib/libtasn1.h, lib/structure.c, tests/Test_tree.asn,
	tests/Test_tree.c: add read_tag and get_structure_from_oid functions

2003-02-10  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, lib/coding.c, lib/decoding.c, lib/element.c, lib/errors.c,
	lib/gstr.h, lib/int.h, lib/libtasn1.h, lib/structure.c,
	tests/Test_tree.asn, tests/Test_tree.c: OID with dots

2003-02-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/errors.c: made the static string table constant.

2003-02-05  Fabio Fiorina <fiorinaf@gnutls.org>

	* doc/asn1.tex, lib/element.c, lib/structure.c,
	src/asn1Coding_test.asg, tests/Test_parser.c, tests/Test_tree.asn,
	tests/Test_tree.c: change asn1_create_element interface

2003-02-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* tests/Test_tree.asn: change asn1_create_element interface

2003-02-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/libtasn1.h: change asn1_create_element interface

2003-02-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, configure.in, lib/Makefile.am, lib/decoding.c,
	lib/defines.h, lib/element.c, lib/int.h, lib/parser_aux.c,
	lib/structure.c, src/CertificateExample.c, src/CrlExample.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_parser.c, tests/Test_tree.c: change asn1_create_element
	interface

2003-02-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c: Error description is only used if it is != NULL.

2002-12-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.y, lib/gstr.c, lib/int.h, lib/parser_aux.c: some changes
	for minitasn1

2002-12-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/defines.h, lib/int.h: moved mem.h inclusion to int.h.

2002-10-09  Fabio Fiorina <fiorinaf@gnutls.org>

	* configure.in, lib/ASN1.c, lib/ASN1.y, lib/element.c,
	lib/errors.c, lib/errors.h, lib/int.h: C99 macro

2002-10-08  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/ASN1.c: [no log message]

2002-10-07  Fabio Fiorina <fiorinaf@gnutls.org>

	* NEWS, doc/Makefile.am, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/errors.c, lib/errors.h, lib/int.h,
	lib/libtasn1.h, src/CertificateExample.c, src/CrlExample.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_parser.asn, tests/Test_parser.c, tests/Test_tree.asn,
	tests/Test_tree.c: [no log message]

2002-10-03  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .cvsusers: Added .cvsusers, for use in ChangeLong generation.

2002-10-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* src/asn1Parser.c: libtasn1

2002-10-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* configure.in: version 0.1.2

2002-10-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* THANKS: add Simon

2002-10-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/coding.c, lib/decoding.c, lib/der.h, lib/element.c,
	lib/int.h, lib/structure.c: add GeneralString type

2002-10-03  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/ASN1.y, lib/parser_aux.c: prefix symbols and functions

2002-10-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.in: improved check for gnu assembler

2002-07-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: [no log message]

2002-07-01  Fabio Fiorina <fiorinaf@gnutls.org>

	* tests/Test_tree.asn, tests/Test_tree.c: [no log message]

2002-07-01  Fabio Fiorina <fiorinaf@gnutls.org>

	* configure.in: version 0.1.1

2002-07-01  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, lib/coding.c, lib/decoding.c, lib/der.h,
	lib/element.c, lib/element.h, lib/int.h, lib/libtasn1.h,
	lib/parser_aux.c, lib/parser_aux.h, lib/structure.c,
	lib/structure.h: add const keyword

2002-06-25  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/decoding.c: fix bug in asn1_der_decoding_element

2002-06-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: added a check for null pointer.

2002-06-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/int.h: some minor fixes.

2002-06-24  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/structure.c: [no log message]

2002-06-24  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/decoding.c, lib/libtasn1.h: add asn1_expand_octet_string and
	asn1_der_decoding_element functions

2002-06-20  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/structure.c: [no log message]

2002-06-20  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/decoding.c: fix asn1_expand_any_defined_by

2002-06-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/der.h, lib/int.h: added some required prototypes

2002-06-19  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/decoding.c, lib/element.c, lib/int.h, lib/libtasn1.h,
	tests/Test_tree.asn, tests/Test_tree.c: add
	asn1_expand_any_defined_by

2002-06-19  Fabio Fiorina <fiorinaf@gnutls.org>

	* AUTHORS: [no log message]

2002-06-15  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am: [no log message]

2002-06-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/xml_print.c: Removed xml_print.c. Will be
	moved to gnutls.

2002-06-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* COPYING.LIB, Makefile.am, NEWS, lib/ASN1.y, lib/coding.c,
	lib/decoding.c, lib/element.c, lib/errors.c, lib/gstr.c,
	lib/libtasn1.h, lib/parser_aux.c, lib/structure.c, lib/xml_print.c: 
	license changed to GNU Lesser GPL.

2002-06-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/structure.c: [no log message]

2002-06-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/xml_print.c: added xml_print

2002-06-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: [no log message]

2002-06-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/CertificateExample.c, src/CrlExample.c, src/Makefile.am,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	src/asn1c.c, src/pkix_asn1_tab.c, tests/Makefile.am,
	tests/Test_parser.c, tests/Test_tree.c, tests/Test_tree_asn1_tab.c: 
	[no log message]

2002-06-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/structure.c: [no log message]

2002-06-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.in, lib/Makefile.am, lib/libasn1.h, lib/libtasn1.h: 
	renamed libasn1 to libtasn1

2002-06-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, lib/decoding.c, lib/libasn1.h,
	lib/structure.c: Added check for NULL pointer in given error
	strings.

2002-05-27  Fabio Fiorina <fiorinaf@gnutls.org>

	* tests/Test_parser.asn: version 0.1.0

2002-05-27  Fabio Fiorina <fiorinaf@gnutls.org>

	* AUTHORS: correct e-mail address

2002-05-15  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/libasn1.h: Start Up version

2002-05-15  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/element.h, lib/errors.c, lib/errors.h,
	lib/errors_int.h, lib/int.h, lib/parser_aux.c, lib/parser_aux.h,
	lib/structure.c, lib/structure.h, src/asn1Coding.c,
	src/asn1Coding_test.asg, src/asn1Coding_test.asn,
	src/asn1Decoding.c, src/asn1Parser.c, src/pkix_asn1_tab.c,
	tests/Makefile.am, tests/Test_parser.c, tests/Test_tree.asn,
	tests/Test_tree.c, tests/Test_tree_asn1_tab.c: Start Up Version

2002-05-15  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/ASN.c: Start Up version

2002-05-15  Fabio Fiorina <fiorinaf@gnutls.org>

	* Makefile.am, THANKS, configure.in, doc/TODO, doc/asn1.tex,
	lib/ASN.y, lib/Makefile.am, lib/asn1.c, lib/asn1.h, lib/defines.h,
	lib/der.c, lib/der.h, lib/gstr.c, lib/mem.h,
	src/CertificateExample.c, src/CrlExample.c, src/Makefile.am,
	src/asn1c.c: Start Up Version

2002-04-10  Fabio Fiorina <fiorinaf@gnutls.org>

	* lib/asn1.c, lib/der.c, src/CertificateExample.c,
	src/CrlExample.c, src/asn1c.c: warning fix

2002-04-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am: [no log message]

2002-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/asn1.c: better function reference - depends on latex now

2002-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/asn1.tex: [no log message]

2002-04-05  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* Initial revision

	----------------------------------------------------------------------
	Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation
	Copying and distribution of this file, with or without modification,
	are permitted in any medium without royalty provided the copyright
	notice and this notice are preserved.
